{% extends "base_site.html" %}
{% load static %}

{% block content %}
<div class="container-fluid" style="padding-top: 3%; padding-bottom: 1%; display: flex; align-items: center; justify-content: center;">
    <div class="container mt-10 mb-5">
        <div class="row d-flex justify-content-center">
            <div class="col-md-7">
                <div class="new_card p-3 py-5">
                    <div class="d-flex justify-content-center mt-1 mb-3">
                        <h4 class="text-center">Change Your Password</h4>
                    </div>
                    <form method="post">
                        {% csrf_token %}
                        {% if msz %}
                            <div class="alert {{col}}">{{msz}}</div>
                        {% endif %}
                        <div class="row mt-4 d-flex justify-content-center">
                            <div class="col-md-7">
                                <label class="labels">Current Password</label>
                                <input type="password" class="form-control" name="cpwd" required>
                            </div>
                        </div>
                        <div class="row mt-3 d-flex justify-content-center">
                            <div class="col-md-7">
                                <label class="labels">New Password</label>
                                <input type="password" class="form-control" name="npwd" id="pas" required onkeyup="check_pass()">
                            </div>
                        </div>
                        <div class="row mt-3 d-flex justify-content-center">
                            <div class="col-md-7">
                                <label class="labels">Confirm New Password</label>
                                <input type="password" class="form-control" id="cpas" required onkeyup="check_pass()">
                            </div>
                        </div>
                        <div class="mt-5 text-center buttons">
                            <button class="btn px-4" type="submit" value="Change Password" id="sbbtn">Change Password</button>
                        </div>
                    </form>
                    <div class="mt-4 text-center buttons">
                        <form method="get" action="/">
                            <button class="btn px-4" type="submit" value="Cancel">Cancel</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

{% endblock %}